Create a Storage Service
Create a new storage service connection
POST
POST /v1/services/storageServices
Create a Storage Service
Create a new storage service connection to a platform such as S3, GCS, or ADLS.Body Parameters
POST /v1/services/storageServices
Returns
Returns the created storage service object with all specified properties and system-generated fields.Response
Create or Update (PUT)
UsePUT /v1/services/storageServices instead of POST to perform an upsert. If a storage service with the same fullyQualifiedName already exists, it will be updated; otherwise, a new service is created. The request body is the same as POST.
PUT will not return a 409 conflict error if the entity already exists — it will update the existing entity instead.Bulk Create or Update (PUT)
UsePUT /v1/services/storageServices/bulk to create or update multiple storage services in a single request. The request body is an array of create request objects.